Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## logica
Class Pieza

    java.lang.Object
      logica.Pieza

    public class Pieza

extends java.lang.Object

Field Summary
`protected byte` | `alto`
`protected byte` | `ancho`
`protected int[][]` | `forma`
`protected byte` | `left`
`protected Paleta` | `paleta`
`protected byte` | `top`
`protected int` | `VACIO`

Constructor Summary
`Pieza(int[][] forma, Paleta paleta)`
`Pieza(int[][] forma, Paleta paleta, byte left)`
`Pieza(int[][] forma, Paleta paleta, byte left, byte top)`

Method Summary
`boolean` | `cabePieza(Tablero tablero)`
`boolean` | `cabePieza(Tablero tablero, byte left, byte top)`
`byte` | `calcularAncho(int[][] forma)`
`protected boolean` | `calcularColision(Tablero tablero)`
`void` | `dibujar(javax.swing.JPanel contenedor)`
`byte` | `getAlto()`
`byte` | `getAncho()`
`int[][]` | `getForma()`
`byte` | `getLeft()`
`Paleta` | `getPaleta()`
`byte` | `getTop()`
`void` | `mover(Tablero tablero, byte left, byte top)`
`void` | `moverAbajo(Tablero tablero)`
`void` | `moverDerecha(Tablero tablero)`
`void` | `moverIzquierda(Tablero tablero)`
`void` | `rotarDerecha(Tablero tablero)`
`void` | `rotarIzquierda(Tablero tablero)`
`protected void` | `setAlto(byte alto)`
`protected void` | `setAncho(byte ancho)`
`protected void` | `setForma(int[][] forma)`
`protected void` | `setLeft(byte left)`
`protected void` | `setPaleta(Paleta paleta)`
`protected void` | `setTop(byte top)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ancho

    protected byte ancho

### alto

    protected byte alto

### left

    protected byte left

### top

    protected byte top

### forma

    protected int[][] forma

### paleta

    protected Paleta paleta

### VACIO

    protected final int VACIO

Constructor Detail

### Pieza

    public Pieza(int[][] forma,
                 Paleta paleta)

### Pieza

    public Pieza(int[][] forma,
                 Paleta paleta,
                 byte left)

### Pieza

    public Pieza(int[][] forma,
                 Paleta paleta,
                 byte left,
                 byte top)

Method Detail

### setForma

    protected void setForma(int[][] forma)

### getForma

    public int[][] getForma()

### setPaleta

    protected void setPaleta(Paleta paleta)

### getPaleta

    public Paleta getPaleta()

### setAncho

    protected void setAncho(byte ancho)

### getAncho

    public byte getAncho()

### calcularAncho

    public byte calcularAncho(int[][] forma)

### setAlto

    protected void setAlto(byte alto)

### getAlto

    public byte getAlto()

### setLeft

    protected void setLeft(byte left)

### getLeft

    public byte getLeft()

### setTop

    protected void setTop(byte top)

### getTop

    public byte getTop()

### moverIzquierda

    public void moverIzquierda(Tablero tablero)

### moverDerecha

    public void moverDerecha(Tablero tablero)

### moverAbajo

    public void moverAbajo(Tablero tablero)

### mover

    public void mover(Tablero tablero,
                      byte left,
                      byte top)

### calcularColision

    protected boolean calcularColision(Tablero tablero)

### rotarIzquierda

    public void rotarIzquierda(Tablero tablero)

### rotarDerecha

    public void rotarDerecha(Tablero tablero)

### cabePieza

    public boolean cabePieza(Tablero tablero)

### cabePieza

    public boolean cabePieza(Tablero tablero,
                             byte left,
                             byte top)

### dibujar

    public void dibujar(javax.swing.JPanel contenedor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD